### Struct

# Qmi MessageDmsHpChangeDeviceModeInput

since: 1.18

#### Description [src]

    struct QmiMessageDmsHpChangeDeviceModeInput {
      /* No available fields */
    }

The `QmiMessageDmsHpChangeDeviceModeInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.18

#### Constructors

###### qmi_message_dms_hp_change_device_mode_input_new

Allocates a new `QmiMessageDmsHpChangeDeviceModeInput`.

since: 1.18

#### Instance methods

###### qmi_message_dms_hp_change_device_mode_input_get_mode

Get the ‘Mode’ field from `self`.

since: 1.18

###### qmi_message_dms_hp_change_device_mode_input_ref

Atomically increments the reference count of `self` by one.

since: 1.18

###### qmi_message_dms_hp_change_device_mode_input_set_mode

Set the ‘Mode’ field in the message.

since: 1.18

###### qmi_message_dms_hp_change_device_mode_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.18